//+------------------------------------------------------------------+
//|                                            progressiveCandle.mq4 |
//|                                                 Roberto La Bella |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Roberto La Bella"
#property link      ""
#property version   "1.00"
#property strict

extern int distCandela = 250;
extern bool EMAFilter = true;


// ..... extern .....




void OnTick()
  {
  
  
  if(OrdersTotal() == 0) EACandela();
    
   
  }



void EACandela(){

   double distanzaCandela = iClose(Symbol(),15,1) - iOpen(Symbol(),15,1);
   double OrdineSL,OrdineTP;
   int ticket;
   
   
   if(distanzaCandela >= distCandela*Point){
   
      OrdineSL = iLow(Symbol(),15,1);
      OrdineTP = Bid + (Bid - iLow(Symbol(),15,1));
      
      ticket = OrderSend(Symbol(),OP_BUY,1,Ask,0,OrdineSL,OrdineTP,"Buy EA ProgressiveCandle",0,0,clrBeige);
      if( ticket < 0) Print("Errore inserimento ordine");
   
   }
   
   
   if(distanzaCandela <= -distCandela*Point){
   
      OrdineSL = iHigh(Symbol(),15,1);
      OrdineTP = Bid - (iHigh(Symbol(),15,1) - Bid);
      
      ticket = OrderSend(Symbol(),OP_SELL,1,Bid,0,OrdineSL,OrdineTP,"Sell EA ProgressiveCandle",0,0,clrAquamarine);
      if( ticket < 0) Print("Errore inserimento ordine");
   
   }
}